//Hacer busqueda del programa a la base de datos por el input
 $(function() {
    $("#operacion").autocomplete({
        source: "data/datainput.php",
        select: function( event, ui ) {
            event.preventDefault();
            $("#operacion").val(ui.item.id);
        }
    });
});

$( document ).ready(function() {
var table = $('#mytable').dataTable({
          responsive: true,
          deferRender: true,
          columnDefs: [{
                "defaultContent": "-",
                "targets": "_all"
              }],
          dom: '<"row"<"col-sm-12 col-md-4"l><"col-sm-12 col-md-4"<"dt-buttons btn-group flex-wrap"B>><"col-sm-12 col-md-4"f>>t<"row"<"col-sm-12 col-md-6"i><"col-sm-12 col-md-6"p>>',
              buttons: [
                'copyHtml5',
                'excelHtml5',
                'csvHtml5',
             ],
         "autoWidth": false,
         "bProcessing": true,
         "aLengthMenu": [[15, 20, 25, 50, -1], [15, 20, 25, 50, "All"]],
         "language":{
            "lengthMenu": "Mostrar _MENU_ registros por pagina",
            "info": "Mostrando pagina _PAGE_ de _PAGES_",
            "infoEmpty": "No hay registros disponibles",
            "infoFiltered": "(filtrada de _MAX_ registros)",
            "loadingRecords": "Cargando...",
            "processing":     "Procesando...",
            "search": "Buscar:",
            "zeroRecords":    "No se encontraron registros coincidentes",
            "paginate": {
                "next":       "Siguiente",
                "previous":   "Anterior"
            },  
         },
         "sAjaxSource": "../operacion/data/data.php",
          "bPaginate":true,
          "iDisplayLength": 15,
          "order": [[0, "ASC"]],
         "aoColumns": [
                { mData:'idOperacion'},
                { mData:'id'}, 
                { mData:'FechaRegistroOperacion'},
                { mData:'Campana'},
                { mData:'Reuso'}, 
                { mData:'GNombre'}, 
                { mData:'TipoGranja'},
                { mData:'TSNombre'}, 
                { mData:'Estado'}, 
                { 
                   "render": function (data, type, full, row) {
                            return '<center><a style="margin-right: 3pt" href="../operacion/view_operacion.php?id='+ full.idOperacion +'" class="btn btn-xs btn-warning"  title="Ver"><span class="glyphicon glyphicon-eye-open"></span></a></center>';
                                                        
                   }

                }    
                           
        ]


}); 

});

//funcion para insertar los datos
function validar(){
    event.preventDefault(); 
    var frm = document.getElementById('form');
    var data = new FormData(frm);
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4) {
            var msg = xhttp.responseText;
            if (msg == 'success') {
                $.confirm({
                  title: 'Guardado',
                  content: 'Con Exito!',
                  theme: 'modern',
                  buttons: {
                      OK: function () {
                        $('#form').trigger('reset');   
                      },
                  }

              });                
            } else {

                if (msg == 'no existe') {
                   $.alert({
                        title: 'La Operacion No Existe!',
                        content: 'Verificar',
                        theme: 'modern'
                    }); 
                }
                else{
                    $.alert({
                        title: 'Erro al Guardar!',
                        content: 'Verificar',
                        theme: 'modern'
                    });
                }
            }

        }
    };
    xhttp.open("POST", "data/insert_maquinaria.php", true);
    xhttp.send(data);

 };


